org.restlet.service

## Class DecoderService

- java.lang.Object
- - org.restlet.service.Service
  - - org.restlet.service.DecoderService

    public class DecoderService
    extends Service

Application service automatically decoding or uncompressing request entities.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`DecoderService()` Constructor.
`DecoderService(boolean enabled)` Constructor.

### Method Summary

Methods
`Filter` `createInboundFilter(Context context)` Create the filter that should be invoked for incoming calls.

### Methods inherited from class org.restlet.service.Service

`createOutboundFilter, getContext, isEnabled, isStarted, isStopped, setContext, setEnabled, start, stop`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DecoderService

    public DecoderService()

Constructor.

#### DecoderService

    public DecoderService(boolean enabled)

Constructor.

Parameters:
  `enabled` - True if the service has been enabled.

### Method Detail

#### createInboundFilter

    public Filter createInboundFilter(Context context)

Description copied from class: `Service`
Create the filter that should be invoked for incoming calls.

Overrides:
  `createInboundFilter` in class `Service`
Parameters:
  `context` - The current context.
Returns:
  The new filter or null.